%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pyver: %global pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

Name:           python-Lightbox
Version:        2.1
Release:        8%{?dist}
Summary:        Lightbox photo display widget

Group:          Development/Libraries
# python code is under MIT license and javascript code is under creative commons license.
License:        MIT and CC-BY
URL:            http://pypi.python.org/pypi/Lightbox/2.1
Source0:        http://pypi.python.org/packages/source/L/Lightbox/Lightbox-%{version}.tar.bz2
Patch0: python-lightbox-setup.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  TurboGears python-devel
Requires:       TurboGears
Requires:       python-Scriptaculous


%description
Lightbox is a TurboGears widget wrapper for the Lightbox2 JavaScript
library by Lokesh Dhakar.
It displays a thumbnail image which, when clicked, opens an overlay
popup window for viewing the linked image in full size.
You can also browse through several Lightbox images that are grouped together

%prep
%setup -q -n Lightbox-%{version}
%patch0 -p1

rm -rf tests

%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}

#fix wrong permissions script-without-shebang rpmlint warning
%{__chmod} 0644 %{buildroot}%{python_sitelib}/lightbox/static/javascript/lightbox.js
%{__chmod} 0644 %{buildroot}%{python_sitelib}/lightbox/static/css/lightbox.css

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.txt PKG-INFO
%{python_sitelib}/Lightbox-%{version}-py%{pyver}.egg-info
%{python_sitelib}/lightbox/

%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Aug 3 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 2.1-5
- Fix build to pull in old cherrypy version

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Jul 28 2009 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 2.1-3
- fix license tag

* Fri Jul 17 2009 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 2.1-2
- fix BZ #508511 Comment #1 From jussi.lehtola@iki.fi - dir listed twice
- fix BZ #508511 Comment #5 From panemade@gmail.com   - rpmlint messages

* Sat Jun 27 2009 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 2.1-1
- Initial RPM version
